Subject: Re: Bug#852035: binutils: bfd stumbles over duplicated symbols generated by gold

From: Ivo De Decker <[email-masked]>
Date: Fri, 5 Apr 2019 12:22:13 +0200

Control: severity -1 important

Hi,

On Wed, Mar 06, 2019 at 02:05:24PM +0300, Dmitry Shachnev wrote:
> On Wed, Mar 06, 2019 at 11:40:18AM +0100, Paul Gevers wrote:
> > Hi doko, Dmitry,
> >
> > On Fri, 18 Aug 2017 14:04:26 +0300 Dmitry Shachnev <[email-masked]> wrote:
> > > The workaround was dropped in binutils/2.28.51.20170620-1 (which reached
> > > unstable on July 25th), so we have this bug again with Qt 5.9, and it is
> > > blocking its transition. Bumping the severity back.
> > > [...]
> > >
> > > Either the workaround needs to be reintroduced, or we will have to rebuild
> > > Qt with bfd instead of gold.
> >
> > This bug is a bit over my head, but what is the current status of this?
> > The upstream bug stopped well before the workaround was dropped, so that
> > doesn't help much in understanding. Is Qt now building with bfd instead
> > of gold to avoid this issue?
> 
> Yes, since qtbase-opensource-src 5.9.1+dfsg-9 (20 Aug 2017).

So I think we can downgrade this bug again.

Ivo